<template>
  <div class='admin container'>
    <div class='admin__category category'>
      <div v-for='(category, index) in getCategory' :key='index' class='category__item-wrap'>
        <div class='category__item' @click='$router.push(`/admin/${category.name}`)'>
          <p>{{ category.name }}</p>
        </div>
      </div>
    </div>
    <div v-if='!getCategory.length' class='admin__empty'>
      <p>Категорий нет</p>
      <nuxt-link to='/admin/add-category'>
        <admin-button>
          Создать
        </admin-button>
      </nuxt-link>
    </div>
    <div class='decor'>

    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import AdminButton from '../../components/admin/AdminButton'

export default {
  components: { AdminButton },
  layout: 'admin',

  computed: {
    ...mapGetters({
      getCategory: "admin/getCategory"
    }),
  }
}
</script>

<style lang='scss' scoped>
.admin {
  min-height: calc(100vh - 49px);
  padding-top: 60px;

  &__empty {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    p {
      color: #2f3941;
      font-size: 22px;
    }
  }

  &__category {
    display: flex;
    flex-wrap: wrap;
  }
}

.category {
  &__item-wrap {
    background: transparent;
    padding: 0.5em;
    width: 33%;
  }

  &__item {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #66B6FF;
    padding: 20px 30px;
    border-radius: 4px;
    color: #66B6FF;
    transition: all 0.4s;
    cursor: pointer;

    &:hover {
      background: #66B6FF;
      color: white;
    }
  }
}

.decor {
  margin-top: 60px;
  border-top: 1px solid #66B6FF;
}
</style>
